Subject: Re: about vim contrib support

From: Manlio Perillo <[email-masked]>
Date: Thu, 10 Jan 2013 12:51:18 +0100

Il 10/01/2013 12:39, Jeff King ha scritto:
> On Thu, Jan 10, 2013 at 12:17:31PM +0100, Manlio Perillo wrote:
> 
>> In the contrib/vim/README file there are instructions about how to setup
>> git support with Vim builtin git syntax files.
>>
>> However these instructions seems to be redundant, since the system
>> filetype.vim file already have the autocmd rules.
> 
> What version of vim do you have? As the README says, version 7.2 and on
> come with the files already, and you do not need to do anything.

Ah, right.
I missed the first lines of the README file, sorry.

> [...]
>> The only issue I found is with:
>>
>> autocmd BufNewFile,BufRead .msg.[0-9]*
>> 	\ if getline(1) =~ '^From.*# This line is ignored.$' |
>> 	\   setf gitsendemail |
>> 	\ endif
>>
>> It should be:
>>
>> autocmd BufNewFile,BufRead [0-9]*.patch
> 
> It looks like .msg.[0-9] was originally used for send-email cover
> letters,

Ok, thanks.
I was assuming it was used for the generated patched.

> and was changed to .gitsendemail.msg.* by commit eed6ca7. I
> think your [0-9]*.patch would match something else entirely (though it
> is still broken, of course, as .msg.* does not exist anymore).
> 
> [...]
>> By the way: I don't understand the purpose of gitsendemail syntax.
>> On my system it does not highlight the diff.
> 
> As far as I can tell, it is for cover letters, not for patches. Patches
> should already be handled by existing RFC822-message highlighting.
> 

.patch files are handled by diff highlight.
What I would like to do is to use gitcommit syntax highlight, in order
to also enable commit subject message hightlight.

Thanks   Manlio